Subject: Re: bug#73175: 30.0.60; toggling emacs-news-view-mode doesn't remove buttons

From: Robert Pluim <[email-masked]>
Date: Tue, 24 Sep 2024 11:29:45 +0200

>>>>> On Tue, 24 Sep 2024 09:39:53 +0300, Juri Linkov <[email-masked]> said:

    Juri> Probably it would be the right thing to move this code to `button-mode'
    Juri> to remove properties when it's disabled.
    Robert> That would be best (assuming Iʼve got the incantation right ;-))
    >> 
    >> Although `button-mode' is described as a mode for button
    >> *navigation*, so changing its behaviour might annoy people. Weʼll let the
    >> maintainers decide that one ☺️

    Juri> The change will fix its behaviour only for disabling with
    Juri> (button-mode -1).  I don't see how this might annoy people.
    Juri> It's the standard thing for a mode to clean up after itself.

OK. Are we agreed that `unbuttonize-region' is a good name before I
update the manual?

(Hmm, `buttonize-region' isnʼt in the elisp manual. Iʼm assuming
emacs-30 is still open for documentation changes, if not I can fix
that on master.)

Robert
--